| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Trunk Associations supporting in PSAP mode

Trunk Association Definitions and Methods. More...

## Classes
struct | unsp__CreateTrunkRequest
| Create Trunk Association request. More...
struct | unsp__CreateTrunkResult
| Create Trunk Association result. More...
struct | unsp__ModifyTrunkRequest
| Modify Trunk Association request. More...
struct | unsp__ModifyTrunkResult
| Modify Trunk Association result. More...
struct | unsp__DeleteTrunkRequest
| Delete Trunk Association request. More...
struct | unsp__DeleteTrunkResult
| Delete Trunk Association result. More...
struct | unsp__TrunkEntry
| TrunkEntry data entry that holds the actual Trunk Association data. More...
struct | unsp__GetTrunkRequest
| Get Trunk Association request. More...
struct | unsp__GetTrunkResult
| / Get Trunk Association result. More...
struct | unsp__QueryTrunkRequest
| Query Trunk Association request. More...
struct | unsp__TrunkList
| A list of Trunks. More...
struct | unsp__QueryTrunkResult
| Query Trunk Association result. More...

## Enumerations
enum | unsp__LocationServiceType { LstAliDB = 0, LstHeld = 1 }
| Type of Location Service. More...

## Functions
int | unsp__CreateTrunk (struct unsp__CreateTrunkRequest CreateTrunkRequest, struct unsp__CreateTrunkResult *CreateTrunkResult)
| Associates an ALI DB or a Held server to a Trunk Association entry. More...
int | unsp__ModifyTrunk (struct unsp__ModifyTrunkRequest ModifyTrunkRequest, struct unsp__ModifyTrunkResult *ModifyTrunkResult)
| Modifies a Trunk. More...
int | unsp__DeleteTrunk (struct unsp__DeleteTrunkRequest DeleteTrunkRequest, struct unsp__DeleteTrunkResult *DeleteTrunkResult)
| Deletes a Trunk Association entry. More...
int | unsp__GetTrunk (struct unsp__GetTrunkRequest GetTrunkRequest, struct unsp__GetTrunkResult *GetTrunkResult)
| Gets a Trunk Association entry. More...
int | unsp__QueryTrunk (struct unsp__QueryTrunkRequest QueryTrunkRequest, struct unsp__QueryTrunkResult *QueryTrunkResult)
| Queries a list of Trunk Association entries. More...

## Detailed Description

Trunk Association Definitions and Methods.

## Enumeration Type Documentation

## ◆ unsp__LocationServiceType

enum unsp__LocationServiceType

Type of Location Service.

Enumerator
LstAliDB | ALI DB server.
LstHeld | HELD server.

## Function Documentation

## ◆ unsp__CreateTrunk()

unsp__CreateTrunk | ( | struct unsp__CreateTrunkRequest | CreateTrunkRequest,
|  | struct unsp__CreateTrunkResult * | CreateTrunkResult
| ) |  |

Associates an ALI DB or a Held server to a Trunk Association entry.

Allows the correlation of ALI DBs or Held servers to Trunks. One Trunk id can only be associated at most with two ALI DBs or Held servers.

Parameters

  CreateTrunkRequest | API request
  CreateTrunkResult | API result MP2 command: CTRUNK [Attributes]

## ◆ unsp__DeleteTrunk()

unsp__DeleteTrunk | ( | struct unsp__DeleteTrunkRequest | DeleteTrunkRequest,
|  | struct unsp__DeleteTrunkResult * | DeleteTrunkResult
| ) |  |

Deletes a Trunk Association entry.

Parameters

  DeleteTrunkRequest | API request
  DeleteTrunkResult | API result MP2 command: DTRUNK [Attributes]

## ◆ unsp__GetTrunk()

unsp__GetTrunk | ( | struct unsp__GetTrunkRequest | GetTrunkRequest,
|  | struct unsp__GetTrunkResult * | GetTrunkResult
| ) |  |

Gets a Trunk Association entry.

Parameters

  GetTrunkRequest | API request
  GetTrunkResult | API result

## ◆ unsp__ModifyTrunk()

unsp__ModifyTrunk | ( | struct unsp__ModifyTrunkRequest | ModifyTrunkRequest,
|  | struct unsp__ModifyTrunkResult * | ModifyTrunkResult
| ) |  |

Modifies a Trunk.

Allows the modification of a Trunk association.

Parameters

  ModifyTrunkRequest | API request
  ModifyTrunkResult | API result

## ◆ unsp__QueryTrunk()

unsp__QueryTrunk | ( | struct unsp__QueryTrunkRequest | QueryTrunkRequest,
|  | struct unsp__QueryTrunkResult * | QueryTrunkResult
| ) |  |

Queries a list of Trunk Association entries.

Parameters

  QueryTrunkRequest | API request
  QueryTrunkResult | API result